Subject: bug#40916: [PATCH] Add "p" and "n" convenience bindings to help-mode-map

From: Amin Bandali <[email-masked]>
Date: Wed, 29 Apr 2020 01:15:33 -0400

Hi Stefan,

Stefan Kangas <[email-masked]> writes:

> Hi Amin,
>
> Amin Bandali <[email-masked]> writes:
>
>> The following binds "p" to backward-button, and "n" to forward-button in
>> help-mode-map for more conveniently jumping between buttons in *Help*
>> buffers.  I have found myself constantly reaching for these in *Help*
>> buffers after using helpful [0] for a while.
>
> Thanks, I like the idea.  I tried it, and it seems useful.
>

Thank you.

>
> But I have one concern.  Is there anything else we could use those
> keys for?  For example, what about navigating sections in the file, or
> even (next|previous)-line?
>
> Let's say we introduce a "foldable" help buffer, such that minor mode
> documentation would be collapsed by default.  (Sorry, I can't find the
> feature request now, but it's in the bug tracker somewhere.)
>
> Will this key binding still be the one we want?
>

That's indeed a valid question/criticism.  And my answer is that I'm not
quite sure.  As of now, I think having this behaviour makes sense; but I
can't say for sure it would remain the best use for p/n in the future.
Especially considering the "foldable" help idea you mentioned, which I
had not heard of or considered prior to writing this reply. :-)

>
>> The patch is against emacs-27, since it's a trivial and hopefully
>> completely harmless change.
>
> I think we should do this on master to let people test the change and
> get used to it.  Maybe we will want to change it before release.
>
> Best regards,
> Stefan Kangas
>

That's a good argument for doing this on master at least at first.

Best,

-- 
Amin Bandali
Free Software activist | GNU maintainer & webmaster
GPG: BE62 7373 8E61 6D6D 1B3A  08E8 A21A 0202 4881 6103
https://bandali.eu.org